uk.gov.hmrc.releaser

# github

#### package github

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. github
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type CommitSha = String

2. #### class DryRunGithubConnector extends GithubTagAndRelease

3. #### case class GithubCommitter(taggerName: String = ..., taggerEmail: String = ...) extends Logger with Product with Serializable

4. #### class GithubConnector extends GithubTagAndRelease with Logger

5. #### class GithubHttp extends Logger

6. #### trait GithubTagAndRelease extends AnyRef

7. #### final case class Repo(value: String) extends AnyVal with Product with Serializable

### Value Members

1. #### object GithubConnector extends Logger

### Inherited from AnyRef

### Inherited from Any

### Ungrouped